{% extends "gracedb/event_detail.html" %}
{% load timeutil %}
{% load scientific %}

{# Analysis-specific attributes for an LM event#}
{% block analysis_specific %}

{# Test whether the object has the end_time property. Older (non CoincInspiral) events don't. #}
{% if object.end_time %}

<div class="row my-3 justify-content-md-center">
    <div class="col-md-10">
        <div id="table-coinc-event">
            <table class="table-hover table-condensed table-resp-gracedb shadow p-3 mb-5 rounded">
                <thead>
                    <tr>
                        <th colspan="2"><h3>Coinc Table</h3></th>
                    </tr>
                </thead>
                <tr> <td> End Time (GPS) </td> <td> {{object|end_time:2}}&nbsp;s </td> </tr>
                <tr> <td> Total Mass </th> <td> {{object.mass|floatformat:"-4"}}&nbsp;M<sub>&#x2299;</sub> </td> </tr> 
                <tr> <td> Chirp Mass </th> <td> {{object.mchirp|floatformat:"-4"}}&nbsp;M<sub>&#x2299;</sub> </td> </tr>
                <tr> <td> SNR </td> <td> {{object.snr|floatformat:"-4"}} </td> </tr> 
                <tr> <td> False Alarm Probability </td> <td> {{object.false_alarm_rate|scientific }} </td> </tr>
                <tr> <td> Log Likelihood Ratio </td> <td> {{object.likelihood|floatformat:"-4" }} </td> </tr>
            </table>
        </div>
    </div>
</div>

{% if single_inspiral_events %}
<!-- Single Inspiral Data -->
<!-- 13 rows here. -->
<div class="row my-3 justify-content-md-center">
    <div class="col-md-10">
        <div id="gdb-table-snglinspiral">
            <table class="table-hover table-condensed table-resp-gracedb shadow p-3 mb-5 rounded">
                <thead>
                    <tr>
                        <th colspan="5"><h3>Single Inspiral Table</h3></th>
                    </tr>

                    <tr>
                        <th>IFO</th>
                        {% for e in single_inspiral_events %}
                        <th>{{ e.ifo }}</th>
                        {% endfor %}
                    </tr>
                </thead>
                <tr>
                    <th class="collapsed-header">Channel</th>
                    {% for e in single_inspiral_events %}
                    <td data-title="{{ e.ifo }}">{{ e.channel }}</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th class="collapsed-header">End Time (GPS)</th>
                    {% for e in single_inspiral_events %}
                    <td data-title="{{ e.ifo }}">{{ e.end_time_full|floatformat:"-3" }}&nbsp;s</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th class="collapsed-header">Template Duration</th>
                    {% for e in single_inspiral_events %}
                    <td data-title="{{ e.ifo }}">{{ e.template_duration }}&nbsp;s</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th class="collapsed-header">Effective Distance</th>
                    {% for e in single_inspiral_events %}
                    <td data-title="{{ e.ifo }}">
                        {% if e.eff_distance %}
                        {{ e.eff_distance }}&nbsp;Mpc
                        {% else %}
                        &nbsp; &nbsp; &nbsp; &nbsp;
                        {% endif %}
                    </td>
                    {% endfor %}
                </tr>
                <tr>
                    <th class="collapsed-header">Coa. Phase</th>
                    {% for e in single_inspiral_events %}
                    <td data-title="{{ e.ifo }}">{{ e.coa_phase }}&nbsp;rad</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th class="collapsed-header">Mass 1</th>
                    {% for e in single_inspiral_events %}
                    <td data-title="{{ e.ifo }}">{{ e.mass1 }}&nbsp;M<sub>&#x2299;</sub></td>
                    {% endfor %}
                </tr>
                <tr>
                    <th class="collapsed-header">Mass 2</th>
                    {% for e in single_inspiral_events %}
                    <td data-title="{{ e.ifo }}">{{ e.mass2 }}&nbsp;M<sub>&#x2299;</sub></td>
                    {% endfor %}
                </tr>
                <tr>
                    <th class="collapsed-header">&eta;</th>
                    {% for e in single_inspiral_events %}
                    <td data-title="{{ e.ifo }}">{{ e.eta }}</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th class="collapsed-header">F Final</th>
                    {% for e in single_inspiral_events %}
                    <td data-title="{{ e.ifo }}">{{ e.f_final }}&nbsp;Hz</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th class="collapsed-header">SNR</th>
                    {% for e in single_inspiral_events %}
                    <td data-title="{{ e.ifo }}">{{ e.snr }}</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th class="collapsed-header">&chi;<sup>2</sup></th>
                    {% for e in single_inspiral_events %}
                    <td data-title="{{ e.ifo }}">{{ e.chisq }}</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th class="collapsed-header">&chi;<sup>2</sup> DOF</th>
                    {% for e in single_inspiral_events %}
                    <td data-title="{{ e.ifo }}">{{ e.chisq_dof }}</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th class="collapsed-header">spin1z</th>
                    {% for e in single_inspiral_events %}
                    <td data-title="{{ e.ifo }}">{{ e.spin1z }}</td>
                    {% endfor %}
                </tr> 
                <tr>
                    <th class="collapsed-header">spin2z</th>
                    {% for e in single_inspiral_events %}
                    <td data-title="{{ e.ifo }}">{{ e.spin2z }}</td>
                    {% endfor %}
                </tr> 
            </table>
        </div> 
    </div>
</div>


{% endif %}

{% endif %} <!-- object has end_time property. -->

{% endblock %}
